CVE-2021-46021

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2021-46021
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2021-46021.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2021-46021
Published
2022-01-14T20:15:15Z
Modified
2024-06-30T13:03:40.554223Z
Severity
  • 5.5 (Medium) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

An Use-After-Free vulnerability in recrecorddestroy() at rec-record.c of GNU Recutils v1.8.90 can lead to a segmentation fault or application crash.

References

Affected packages

Debian:11 / recutils

Package

Name
recutils
Purl
pkg:deb/debian/recutils?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

1.*

1.8-1
1.9-1
1.9-2
1.9-3

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / recutils

Package

Name
recutils
Purl
pkg:deb/debian/recutils?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

1.*

1.9-2
1.9-3

Ecosystem specific

{
    "urgency": "unimportant"
}